"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var react_state_connect_1 = require("react-state-connect");
var sinon_1 = require("sinon");
// eslint-disable-next-line max-len
var RestStoreMock = /** @class */ (function (_super) {
    __extends(RestStoreMock, _super);
    function RestStoreMock(mock) {
        var _this = _super.call(this) || this;
        _this.post = sinon_1.stub();
        _this.patch = sinon_1.stub();
        _this.state = mock ? {
            loading: false,
            response: mock
        } : {
            loading: true,
            response: []
        };
        return _this;
    }
    return RestStoreMock;
}(react_state_connect_1.StateContainer));
exports.default = RestStoreMock;
//# sourceMappingURL=rest-store-mock.js.map